# OgreVertexBoneAssignment.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef Ogre::VertexBoneAssignment_s | VertexBoneAssignment
| Records the assignment of a single vertex to a single bone with the corresponding weight.

## Typedef Documentation

typedef struct Ogre::VertexBoneAssignment_s Ogre::VertexBoneAssignment

Records the assignment of a single vertex to a single bone with the corresponding weight.

Remarks:
  This simple struct simply holds a vertex index, bone index and weight representing the assignment of a vertex to a bone for skeletal animation. There may be many of these per vertex if blended vertex assignments are allowed.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:45 2009